#include "homography_estimator.h"

// ---------- Constructor ---------- //
HomographyEstimator::HomographyEstimator() {

}

int HomographyEstimator::estimate(std::vector<cv::detail::ImageFeatures> &features,
	std::vector<cv::detail::MatchesInfo> &pairwise_matches,
	std::vector<cv::detail::CameraParams> &camera_parameters) {
	estimator(features, pairwise_matches, camera_parameters);

	for (size_t i = 0; i < camera_parameters.size(); ++i) {
		cv::Mat r;
		camera_parameters[i].R.convertTo(r, CV_32F);
		camera_parameters[i].R = r;
	}

	return 0;
}
